axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doughty, Michael" <Michael_Doug...@bmc.com>
Subject RE: AXIS2 and JDK 1.5
Date Wed, 15 Aug 2012 04:56:53 GMT
The class javax.xml.stream.XMLStreamException is part of StAX.  I think some later versions
of JDK 1.5 actually did include an StAX implementation, but I am not certain.

Axis2 comes bundled with one in any case.  For Axis2 1.5.1 for instance, see the JAR file
Geronimo-stax-api_1.0_spec-1.0.1.jar in the lib directory.  Running a quick "jar tvf" on that
library reveals:

  1807 Tue Dec 18 18:00:58 CST 2007 javax/xml/stream/XMLStreamException.class

-----Original Message-----
From: Dave Cherkassky [mailto:dcherk@djinnsoft.com] 
Sent: Tuesday, August 14, 2012 9:37 AM
To: java-user@axis.apache.org
Cc: 'drobert@djinnsoft.com'; Jamie MacDonald
Subject: AXIS2 and JDK 1.5

Dear AXIS2 community, a question:

According to "System Requirements" 
(http://axis.apache.org/axis2/java/core/docs/installationguide.html#requirements), 
AXIS2 should be OK with JDK 1.5.

However, looking at the source code, I see many references to 
XMLStreamException.  This class is not available until JDK 1.6 
(http://docs.oracle.com/javase/6/docs/api/javax/xml/stream/XMLStreamException.html).

So is the latest AXIS2 release compatible with JDK 1.5?  If not, which 
version is?

Thanks in advance,
-- 
Dave Cherkassky
   DJiNN Software Inc
   VP of Software Development

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@axis.apache.org
For additional commands, e-mail: java-user-help@axis.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@axis.apache.org
For additional commands, e-mail: java-user-help@axis.apache.org


Mime
View raw message